Subject: bug#15797: 24.3.50; Info: Mention cache-long-scans

From: Michael Heerdegen <[email-masked]>
Date: Mon, 04 Nov 2013 14:10:10 +0100

Jambunathan K <[email-masked]> writes:

> Why is this variable in lispref.  The variable deserves atleast a
> mention in the main manual.

A small note by a user: In my experience, line caching is a highly
experimental feature.

The first time I tried it - this was 2 or 3 years ago, Emacs crashed
reproducably few seconds after setting the variable to non-nil in any
buffer (bug 12196).  Presumably nobody using Emacs used it that time.

After this had been fixed, I tried to work with cache-long-line-scans
non-nil, and after some minutes I found that it breaks dired (bug 15148,
still not fixed).  Not sure how much other problems are to be
discovered.

So, it's probably better not to advertise it until it works ok.  I would
love to use it when it worked, btw.

Regards,

Michael.